Get tracking codes
curl --request GET \
--url https://{your-subdomain}.neetoform.com/api/external/v2/forms/{form_id}/tracking_codes \
--header 'X-Api-Key: <x-api-key>'const options = {method: 'GET', headers: {'X-Api-Key': '<x-api-key>'}};
fetch('https://{your-subdomain}.neetoform.com/api/external/v2/forms/{form_id}/tracking_codes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetoform.com/api/external/v2/forms/{form_id}/tracking_codes"
headers = {"X-Api-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"tracking_codes": {
"ga_code": "G-ABC123XYZ",
"gtm_code": null,
"pixel_id": "123456789012345"
}
}{
"error": "Form does not exist."
}Form settings
Get tracking codes
Get the Google Analytics, Google Tag Manager and Meta Pixel IDs of the form. A value is null when it is not set.
GET
/
forms
/
{form_id}
/
tracking_codes
Get tracking codes
curl --request GET \
--url https://{your-subdomain}.neetoform.com/api/external/v2/forms/{form_id}/tracking_codes \
--header 'X-Api-Key: <x-api-key>'const options = {method: 'GET', headers: {'X-Api-Key': '<x-api-key>'}};
fetch('https://{your-subdomain}.neetoform.com/api/external/v2/forms/{form_id}/tracking_codes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetoform.com/api/external/v2/forms/{form_id}/tracking_codes"
headers = {"X-Api-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"tracking_codes": {
"ga_code": "G-ABC123XYZ",
"gtm_code": null,
"pixel_id": "123456789012345"
}
}{
"error": "Form does not exist."
}Replace
Learn how to find your subdomain in Workspace subdomain.
{your-subdomain} with your workspace’s subdomain. Learn how to find your subdomain in Workspace subdomain.
Headers
Use the X-Api-Key header to provide your workspace API key. Refer to Authentication for more information.
Path Parameters
Unique ID of the form. Refer to Getting the Form ID for detailed instructions.